Bug 39559 - Для пакета точно нужны python3-module-networkx-drawing ?
Summary: Для пакета точно нужны python3-module-networkx-drawing ?
Status: REOPENED
Alias: None
Product: Sisyphus
Classification: Development
Component: python3-module-networkx-core (show other bugs)
Version: unstable
Hardware: x86_64 Linux
: P5 normal
Assignee: darktemplar@altlinux.org
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-18 10:45 MSK by Andrey Cherepanov
Modified: 2024-05-15 16:52 MSK (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherepanov 2021-01-18 10:45:38 MSK
Тащит за собой graphviz:

# apt-get remove graphviz
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие пакеты будут УДАЛЕНЫ:
  graphviz policycoreutils policycoreutils-mcstransd policycoreutils-newrole python3-module-networkx-core python3-module-networkx-drawing python3-module-policycoreutils python3-module-pydot
  python3-module-setools selinux-policy-alt setools-console
Comment 1 Aleksei Nikiforov 2021-01-18 13:04:29 MSK
Цепочка зависимостей следующая:

1) python3-module-networkx-core зависит от python3-module-networkx-drawing.
2) python3-module-networkx-drawing зависит от python3-module-pydot
3) python3-module-pydot зависит от /usr/bin/dot
4) /usr/bin/dot предоставляется graphviz

Работоспособный python3-module-networkx-core нужен для selinux в том числе. Нужно будет перепроверить можно ли разорвать зависимость между python3-module-networkx-core и python3-module-networkx-drawing. Совсем недавно этой зависимости не было, до версии 2.2-alt3, и selinux был нерабочий из-за отсутствия этой зависимости, если вдруг python*-module-networkx-drawing оказывался не установлен.
Но если нельзя разорвать зависимость из первого пункта, то надо уже смотреть зависимости из пунктов 2 и 3.
Comment 2 Repository Robot 2021-01-20 21:14:09 MSK
python3-module-networkx-2:2.5-alt1 -> sisyphus:

 Mon Jan 18 2021 Aleksei Nikiforov <darktemplar@altlinux> 2:2.5-alt1
 - Updated to upstream version 2.5.
 - Removed dependency from python3-module-networkx-core
   to python3-module-networkx-drawing (Closes: 39559).
Comment 3 Aleksei Nikiforov 2021-01-21 09:24:18 MSK
Пока что исправлено только в Сизифе.
Comment 4 Repository Robot 2021-01-26 19:25:50 MSK
python3-module-networkx-2:2.5-alt1 -> p9:

 * Mon Jan 18 2021 Aleksei Nikiforov <darktemplar@altlinux> 2:2.5-alt1
 - Updated to upstream version 2.5.
 - Removed dependency from python3-module-networkx-core
   to python3-module-networkx-drawing (Closes: 39559).
Comment 5 Ivan A. Melnikov 2024-05-15 16:51:58 MSK
Опять:

$ rpm -qp --requires /ALT/Sisyphus/noarch/RPMS.classic/python3-module-networkx-core-3.3-alt1.noarch.rpm | grep draw
python3-module-networkx-drawing = 2:3.3-alt1:sisyphus+347601.100.1.1